clear
clc

%% PARAMETERS
DIMENSIONALITY = 60;
TRAININGSIZE = 1000;
TESTSIZE = 100;
CLUSTERS = 10;
%%

%% DEMO
lDisp('Generating sample data...')
train = rand(TRAININGSIZE,DIMENSIONALITY);
test = rand(TESTSIZE,DIMENSIONALITY);

lDisp('Setting options...')
options.class = 'CKDE';
options.graphEstimation = 'ChowLiu';
options.best = 'full';
options.enableAll = 1;
options.totalClusters = CLUSTERS;
options.names = strsplit('A B C D E F G H I J K L M N O P Q R S T');
options.structure = mat2cell(reshape(1:60,3,20)',ones(20,1),3);

lDisp('Training non-parametric Bayesian network prior...')
bn = BayesianNetwork('DemoNetwork',train,options);

lDisp('Calculating exact expected log-likelihood...')
ll = mean(bn.ll(test'))

all = zeros(1,CLUSTERS);
for i=1:CLUSTERS
    lDisp(['Calculating approximate expected log-likelihood for ' int2str(i) ' exact clusters...'])
    all(i) = mean(sum(bn.all(test',i)));
end
all
%%
