function result = H_KNN(data,k)
% Entropy estimation using k-NN (Goria et al.)
%   data: (dim,samples) double array.
%   k   : Scalar integer between 1 and samples-1. 
%         Uses the k-nearest neighbor for the estimation. Default:1.
% 
% (c)2014 Andreas M. Lehrmann

if nargin==1 k=1; end
[r,c]=size(data);
vol=log(pi^(r/2)/gamma(r/2+1));
[~,d] = knnsearch(data',data','K',k+1);
d = log(d(:,k+1));
if any(d==-inf)
    lDisp('Discovered -inf. Setting to log(1e-323).')
    d(d==-inf) = log(1e-323);
end
result=r/c*sum(d)+log(c-1)-psi(k)+vol;

end