function connected = isConnected(obj,am)
% Determine if the graph induced by an adjacency matrix is connected.
%   am: (n,n) double array. An adjacency matrix.
%
% (c)2014 Andreas M. Lehrmann

S = 1;
visited = zeros(1,size(am,1));
while(~isempty(S))
    node = S(end);
    S(end) = [];
    if ~logical(visited(node))
        visited(node) = 1;
        S = [S find(am(node,:))]; 
    end
end
connected = all(visited);

end