function L = topSort(obj,M)
% Compute a topological sorting.
%   M: (n,n) double array. A (binary) adjacency matrix of a directed
%      acyclic graph.
%
% (c)2014 Andreas M. Lehrmann

L=[];
S=find(sum(M)==0);

while ~isempty(S)
    L = [L S(1)];
    S(1) = [];
    
    c = find(M(L(end),:));
    M(L(end),c) = 0;
    o = find(sum(M(:,c))==0);
    S = [S c(o)];
end
assert(sum(M(:))==0,'Circle detected.')

end