function [] = conditional(obj,dim)
% Compute the conditional distribution of a multivariate Gaussian distribution.
%   dim: Integer array. The dimensions to condition on.
%
% (c)2014 Andreas M. Lehrmann

remDim = 1:obj.dim;
remDim(dim) = [];

warning('off','MATLAB:warn_r14_stucture_assignment');
obj.mu.static = obj.mu(remDim)-obj.sigma(remDim,dim)*inv(obj.sigma(dim,dim))*obj.mu(dim);
obj.mu.dynamic = obj.sigma(remDim,dim)*inv(obj.sigma(dim,dim));
warning('on','MATLAB:warn_r14_stucture_assignment');

obj.sigma = obj.sigma(remDim,remDim)-obj.sigma(remDim,dim)*inv(obj.sigma(dim,dim))*obj.sigma(dim,remDim);
obj.sigma = (obj.sigma+obj.sigma')/2;

obj.llConstant = -sum(log(diag(chol(2*pi*obj.sigma))));
obj.precision = inv(obj.sigma);
obj.dim = length(remDim);
obj.cond = dim;

end