function s = sample(obj,condition)
% Sample from a multivariate Gaussian distribution.
%   condition: [] or (length(cond),1) double array. The condition.
%
% (c)2014 Andreas M. Lehrmann

if ~isempty(condition)
    mu = obj.mu.static+obj.mu.dynamic*condition;
else
    mu = obj.mu;
end

s = mvnrnd(mu,obj.sigma);

end