function ll = llNaive(obj, data, cond)
% Naive approach to compute an exact log-likelihood.
%   data: (dim-length(pIndex),1) double array. The data point.
%   cond: [] or (length(pIndex),1) double array. The condition.
% 
% (c)2014 Andreas M. Lehrmann

if isempty(cond)
    ll = obj.constantStatic+logsumexp((-0.5*pdist2(obj.data',data','mah',obj.B2).^2),1);
else
    joint = [data;cond];
    ll_joint = obj.constantStatic+logsumexp((-0.5*pdist2(obj.data',joint','mah',obj.B2).^2),1);
    ll_marginal = obj.constantDynamic+logsumexp((-0.5*pdist2(obj.data(obj.pIndex,:)',cond','mah',obj.B2(obj.pIndex,obj.pIndex)).^2),1);
    ll = ll_joint-ll_marginal;
end

end