function [] = switchAll(obj,value,totalClusters)
% Switch computation of approximate log-likelihoods off/on.
%   value        : 0/1 to switch computation of approximate log-likelihoods off/on, respectively.
%   totalClusters: Scalar integer between 1 and samples. The total number of clusters to
%                  use for approximate log-likelihood computations.
% 
% (c)2014 Andreas M. Lehrmann

if value
    obj.totalClusters=totalClusters;
    
    [obj.jointClustering.id,obj.jointClustering.center] = kmeans(obj.PJ',obj.totalClusters,'EmptyAction','singleton','MaxIter',500);
    obj.jointClustering.center = obj.jointClustering.center';
    obj.jointClustering.inverseId = cell(obj.totalClusters,1);
    for i=1:obj.totalClusters
        obj.jointClustering.inverseId{i} = find(obj.jointClustering.id==i);  
    end
    obj.jointClustering.weights = cellfun(@length,obj.jointClustering.inverseId)';
    
    if obj.pIndex
        [obj.marginalClustering.id,obj.marginalClustering.center] = kmeans(obj.PM',obj.totalClusters,'EmptyAction','singleton','MaxIter',500);
        obj.marginalClustering.center = obj.marginalClustering.center';
        obj.marginalClustering.inverseId = cell(obj.totalClusters,1);
        for i=1:obj.totalClusters
            obj.marginalClustering.inverseId{i} = find(obj.marginalClustering.id==i);  
        end
        obj.marginalClustering.weights = cellfun(@length,obj.marginalClustering.inverseId)';
    end
else
    obj.totalClusters = [];
    obj.jointClustering = [];
    obj.marginalClustering = [];
end

end